package com.goafanti.voucher.bo;

public class JtVoucherListBo {
		private String id;
		private String name;
		private String source;
		private String money;
		private String durationDay;
		private String activeState;
		private String grantingUid;
		private String limitUse;
		private String limitProjectId;
		private Integer isGet;
		public String getId() {
			return id;
		}
		public void setId(String id) {
			this.id = id;
		}
		public String getName() {
			return name;
		}
		public void setName(String name) {
			this.name = name;
		}
		public String getSource() {
			return source;
		}
		public void setSource(String source) {
			this.source = source;
		}
		public String getMoney() {
			if (this.money != null) {
				return money.split("\\.")[0];
			}
			return money;
		}
		public void setMoney(String money) {
			this.money = money;
		}
		public String getDurationDay() {
			return durationDay;
		}
		public void setDurationDay(String durationDay) {
			this.durationDay = durationDay;
		}
		public String getActiveState() {
			return activeState;
		}
		public void setActiveState(String activeState) {
			this.activeState = activeState;
		}
		public String getGrantingUid() {
			return grantingUid;
		}
		public void setGrantingUid(String grantingUid) {
			this.grantingUid = grantingUid;
		}
		public String getLimitUse() {
			return limitUse;
		}
		public void setLimitUse(String limitUse) {
			this.limitUse = limitUse;
		}
		public String getLimitProjectId() {
			return limitProjectId;
		}
		public void setLimitProjectId(String limitProjectId) {
			this.limitProjectId = limitProjectId;
		}
		public Integer getIsGet() {
			if (this.isGet==null) {
				return 0;
			}
			return isGet;
		}
		public void setIsGet(Integer isGet) {
			this.isGet = isGet;
		}
		@Override
		public String toString() {
			return "JtVoucherListBo [id=" + id + ", name=" + name + ", source=" + source + ", money=" + money
					+ ", durationDay=" + durationDay + ", activeState=" + activeState + ", grantingUid=" + grantingUid
					+ ", limitUse=" + limitUse + ", limitProjectId=" + limitProjectId + ", isGet=" + isGet + "]";
		}
		
		
}
